Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractServiceInstallment.Builder

java.lang.Object
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractServiceInstallment.Builder

Enclosing class:
  `RSCMContractServiceInstallment`

public static class RSCMContractServiceInstallment.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RSCMContractServiceInstallment`
  `build()`
  `RSCMContractServiceInstallment.Builder`
  `setAmountDown(int amountDown)`
  `RSCMContractServiceInstallment.Builder`
  `setAmountUp(int amountUp)`
  `RSCMContractServiceInstallment.Builder`
  `setContractId(int contractId)`
  `RSCMContractServiceInstallment.Builder`
  `setDateFrom(LocalDate dateFrom)`
  `RSCMContractServiceInstallment.Builder`
  `setDateNext(LocalDate dateNext)`
  `RSCMContractServiceInstallment.Builder`
  `setId(int id)`
  `RSCMContractServiceInstallment.Builder`
  `setInstallment(String value)`
  `RSCMContractServiceInstallment.Builder`
  `setPaymentCount(int paymentCount)`
  `RSCMContractServiceInstallment.Builder`
  `setServiceId(int serviceId)`
  `RSCMContractServiceInstallment.Builder`
  `setStatus(RSCMContractServiceInstallmentStatus status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public RSCMContractServiceInstallment.Builder setId(int id)

  - ### setContractId

    public RSCMContractServiceInstallment.Builder setContractId(int contractId)

  - ### setServiceId

    public RSCMContractServiceInstallment.Builder setServiceId(int serviceId)

  - ### setStatus

    public RSCMContractServiceInstallment.Builder setStatus(RSCMContractServiceInstallmentStatus status)

  - ### setDateFrom

    public RSCMContractServiceInstallment.Builder setDateFrom(LocalDate dateFrom)

  - ### setDateNext

    public RSCMContractServiceInstallment.Builder setDateNext(LocalDate dateNext)

  - ### setAmountUp

    public RSCMContractServiceInstallment.Builder setAmountUp(int amountUp)

  - ### setAmountDown

    public RSCMContractServiceInstallment.Builder setAmountDown(int amountDown)

  - ### setPaymentCount

    public RSCMContractServiceInstallment.Builder setPaymentCount(int paymentCount)

  - ### setInstallment

    public RSCMContractServiceInstallment.Builder setInstallment(String value)

  - ### build

    public RSCMContractServiceInstallment build()